<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'forms',

    /*
     * Package.
     */
    'package'   => 'leave',

    /*
     * Modules.
     */
    'modules'   => ['leave', 'category'],

    'leave'       => [
        'model' => [
            'model'                 => \Forms\Leave\Models\Leave::class,
            'table'                 => 'leaves',
            'presenter'             => \Forms\Leave\Repositories\Presenter\LeavePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'department_id',  'employee_id',  'enb_resource_group',  'employee_type',  'leave_type',  'other_specific',  'leave_start_date',  'leave_end_date',  'no_of_days',  'resuming_date',  'reason',  'air_flight_type',  'air_flight_details',  'job_handover',  'emergency_contact',  'cash_advance_amount',  'purpose',  'remark',  'applied_by',  'recommended_by',  'patient_name',  'injury_date',  'injury_time',  'injury_place',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'leave/leave',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Forms',
            'package'   => 'Leave',
            'module'    => 'Leave',
        ],

    ],
    'category'       => [
        'model' => [
            'model'                 => \Forms\Leave\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Forms\Leave\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'days',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'leave/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Forms',
            'package'   => 'Leave',
            'module'    => 'Category',
        ],

    ],
];
