<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeavesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leaves
         */
        Schema::create('leaves', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('employee_id')->nullable();
            $table->string('enb_resource_group', 20)->nullable();
            $table->enum('employee_type', ['Expat','Executive'])->nullable();
            $table->enum('leave_type', ['Annual Leave','Sick Leave','Compassionate Leave','Maternity Leave','Replacement Leave','No Pay Leave','Other'])->nullable();
            $table->string('other_specific', 200)->nullable();
            $table->date('leave_start_date')->nullable();
            $table->date('leave_end_date')->nullable();
            $table->decimal('no_of_days', 10,2)->nullable();
            $table->date('resuming_date')->nullable();
            $table->text('reason')->nullable();
            $table->enum('air_flight_type', ['One Way','Return'])->nullable();
            $table->text('air_flight_details')->nullable();
            $table->text('job_handover')->nullable();
            $table->text('emergency_contact')->nullable();
            $table->decimal('cash_advance_amount', 10,2)->nullable();
            $table->text('purpose')->nullable();
            $table->text('remark')->nullable();
            $table->integer('applied_by')->nullable();
            $table->integer('recommended_by')->nullable();
            $table->string('patient_name', 15)->nullable();
            $table->text('injury_date')->nullable();
            $table->time('injury_time')->nullable();
            $table->string('injury_place', 15)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leaves');
    }
}
