# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/forms/leave/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/forms/leave/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Forms\\Leave\\": "packages/forms/leave/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Forms\Leave\Providers\LeaveServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Leave'  => Forms\Leave\Facades\Leave::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Forms\\LeaveTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Forms\Leave\Providers\LeaveServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Forms\Leave\Providers\LeaveServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Forms\Leave\Providers\LeaveServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/leave/{modulename}

**User**

    http://path-to-route-folder/user/leave/{modulename}

**Public**

    http://path-to-route-folder/leaves


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/leave/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/leave/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/leave/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/leave/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/leave/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/leave/{modulename}/{slug}
    METHOD: GET