<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for leave in leave package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  leave module in leave package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Leave',
    'names'         => 'Leaves',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Leaves',
        'sub'   => 'Leaves',
        'list'  => 'List of leaves',
        'edit'  => 'Edit leave',
        'create'    => 'Create new leave'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'employee_type'       => ['Expat','Executive'],
            'leave_type'          => ['Annual Leave','Sick Leave','Compassionate Leave','Maternity Leave','Replacement Leave','No Pay Leave','Other'],
            'air_flight_type'     => ['One Way','Return'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'department_id'              => 'Please enter department id',
        'employee_id'                => 'Please enter employee id',
        'enb_resource_group'         => 'Please enter enb resource group',
        'employee_type'              => 'Please select employee type',
        'leave_type'                 => 'Please select leave type',
        'other_specific'             => 'Please enter other specific',
        'leave_start_date'           => 'Please select leave start date',
        'leave_end_date'             => 'Please select leave end date',
        'no_of_days'                 => 'Please enter no of days',
        'resuming_date'              => 'Please select resuming date',
        'reason'                     => 'Please enter reason',
        'air_flight_type'            => 'Please select air flight type',
        'air_flight_details'         => 'Please enter air flight details',
        'job_handover'               => 'Please enter job handover',
        'emergency_contact'          => 'Please enter emergency contact',
        'cash_advance_amount'        => 'Please enter cash advance amount',
        'purpose'                    => 'Please enter purpose',
        'remark'                     => 'Please enter remark',
        'applied_by'                 => 'Please enter applied by',
        'recommended_by'             => 'Please enter recommended by',
        'patient_name'               => 'Please enter patient name',
        'injury_date'                => 'Please enter injury date',
        'injury_time'                => 'Please select injury time',
        'injury_place'               => 'Please enter injury place',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'department_id'              => 'Department id',
        'employee_id'                => 'Employee id',
        'enb_resource_group'         => 'Enb resource group',
        'employee_type'              => 'Employee type',
        'leave_type'                 => 'Leave type',
        'other_specific'             => 'Other specific',
        'leave_start_date'           => 'Leave start date',
        'leave_end_date'             => 'Leave end date',
        'no_of_days'                 => 'No of days',
        'resuming_date'              => 'Resuming date',
        'reason'                     => 'Reason',
        'air_flight_type'            => 'Air flight type',
        'air_flight_details'         => 'Air flight details',
        'job_handover'               => 'Job handover',
        'emergency_contact'          => 'Emergency contact',
        'cash_advance_amount'        => 'Cash advance amount',
        'purpose'                    => 'Purpose',
        'remark'                     => 'Remark',
        'applied_by'                 => 'Applied by',
        'recommended_by'             => 'Recommended by',
        'patient_name'               => 'Patient name',
        'injury_date'                => 'Injury date',
        'injury_time'                => 'Injury time',
        'injury_place'               => 'Injury place',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'department_id'              => ['name' => 'Department id', 'data-column' => 2, 'checked'],
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 3, 'checked'],
        'employee_type'              => ['name' => 'Employee type', 'data-column' => 4, 'checked'],
        'leave_type'                 => ['name' => 'Leave type', 'data-column' => 5, 'checked'],
        'leave_start_date'           => ['name' => 'Leave start date', 'data-column' => 6, 'checked'],
        'leave_end_date'             => ['name' => 'Leave end date', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Leaves',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
