<?php

// API routes  for leave
Route::prefix('{guard}/leave')->group(function () {
    Route::get('leave/form/{element}', 'LeaveAPIController@form');
    Route::resource('leave', 'LeaveAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for leaves
            Route::prefix('{guard}/leave')->group(function () {
                Route::get('leave/form/{element}', 'LeaveAPIController@form');
                Route::apiResource('leave', 'LeaveAPIController');
            });
            // Public routes for leaves
            Route::get('leave/Leave', 'LeavePublicController@getLeave');
        }
    );
}

// API routes  for category
Route::prefix('{guard}/leave')->group(function () {
    Route::get('category/form/{element}', 'CategoryAPIController@form');
    Route::resource('category', 'CategoryAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for leaves
            Route::prefix('{guard}/leave')->group(function () {
                Route::get('category/form/{element}', 'CategoryAPIController@form');
                Route::apiResource('category', 'CategoryAPIController');
            });
            // Public routes for leaves
            Route::get('leave/Category', 'CategoryPublicController@getCategory');
        }
    );
}

