<?php

// web routes  for leave
Route::prefix('{guard}/leave')->group(function () {
    Route::resource('leave', 'LeaveResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'LeaveResourceController');
            });
            // Public routes for pages
            Route::get('leaves/', 'LeavePublicController@index');
            Route::get('leaves/{slug?}', 'LeavePublicController@show');
        }
    );
}

// web routes  for category
Route::prefix('{guard}/leave')->group(function () {
    Route::resource('category', 'CategoryResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CategoryResourceController');
            });
            // Public routes for pages
            Route::get('leaves/', 'CategoryPublicController@index');
            Route::get('leaves/{slug?}', 'CategoryPublicController@show');
        }
    );
}

