<?php

namespace Forms\Leave\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeaveTransformer extends TransformerAbstract
{
    public function transform(\Forms\Leave\Models\Leave $leave)
    {
        return [
            'id'                => $leave->getRouteKey(),
            'key'               => [
                'public'    => $leave->getPublicKey(),
                'route'     => $leave->getRouteKey(),
            ], 
            'company_id'        => $leave->company_id,
            'department_id'     => $leave->department_id,
            'employee_id'       => $leave->employee_id,
            'enb_resource_group' => $leave->enb_resource_group,
            'employee_type'     => $leave->employee_type,
            'leave_type'        => $leave->leave_type,
            'other_specific'    => $leave->other_specific,
            'leave_start_date'  => $leave->leave_start_date,
            'leave_end_date'    => $leave->leave_end_date,
            'no_of_days'        => $leave->no_of_days,
            'resuming_date'     => $leave->resuming_date,
            'reason'            => $leave->reason,
            'air_flight_type'   => $leave->air_flight_type,
            'air_flight_details' => $leave->air_flight_details,
            'job_handover'      => $leave->job_handover,
            'emergency_contact' => $leave->emergency_contact,
            'cash_advance_amount' => $leave->cash_advance_amount,
            'purpose'           => $leave->purpose,
            'remark'            => $leave->remark,
            'applied_by'        => $leave->applied_by,
            'recommended_by'    => $leave->recommended_by,
            'patient_name'      => $leave->patient_name,
            'injury_date'       => $leave->injury_date,
            'injury_time'       => $leave->injury_time,
            'injury_place'      => $leave->injury_place,
            'deleted_at'        => $leave->deleted_at,
            'url'               => [
                'public'    => trans_url('leave/'.$leave->getPublicKey()),
                'user'      => guard_url('leave/leave/'.$leave->getRouteKey()),
            ], 
            'status'            => trans('app.'.$leave->status),
            'created_at'        => format_date($leave->created_at),
            'updated_at'        => format_date($leave->updated_at),
        ];
    }
}